::ng-deep .mat-dialog-container {
    position: relative !important;
    height: auto !important;
}

@media(max-width:600px) {
     ::ng-deep .mat-dialog-container {
        padding: 12px 12px 18px 12px;
    }
}

.close-button {
    position: absolute;
    right: 0;
    top: 0;
    background: #31a64f;
    color: #fff;
    border-radius: 1px;
    z-index: 3;
}